## org.mortbay.cometd
Interface Transport

All Known Implementing Classes:
  AbstractTransport, JSONPTransport, JSONTransport

    public interface Transport

Method Summary
`boolean` `alwaysResumePoll()`
`void` `complete()`
`boolean` `isJSONCommented()`
`boolean` `isPolling()`
`boolean` `keepAlive()`
`void` `send(JSON.Literal reply)`
`void` `send(List<Map<String,Object>> replies)`
`void` `send(Map<String,Object> reply)`
`void` `setJSONCommented(boolean commented)`
`void` `setPolling(boolean polling)`
`void` `setResponse(HttpServletResponse response)`

Method Detail

### setResponse

    void setResponse(HttpServletResponse response)
                     throws IOException

  Throws:
    `IOException`

### send

    void send(JSON.Literal reply)
              throws IOException

  Throws:
    `IOException`

### send

    void send(Map<String,Object> reply)
              throws IOException

  Throws:
    `IOException`

### send

    void send(List<Map<String,Object>> replies)
              throws IOException

  Throws:
    `IOException`

### complete

    void complete()
                  throws IOException

  Throws:
    `IOException`

### isPolling

    boolean isPolling()

### setPolling

    void setPolling(boolean polling)

### keepAlive

    boolean keepAlive()
                      throws IOException

  Throws:
    `IOException`

### setJSONCommented

    void setJSONCommented(boolean commented)

### isJSONCommented

    boolean isJSONCommented()

### alwaysResumePoll

    boolean alwaysResumePoll()

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.